<template>
  <div id="home-page">
    <!-- Main Header -->
    <!-- <main-header></main-header> -->
    <!-- End Main Header -->

    <!-- Banner -->
    <div class="container">
      <div class="row">
        <div id="main-ads-banner" class="col-xl-8">
          <banner></banner>
        </div>
        <div id="today-reward" class="col-xl-4">
          <today-reward></today-reward>
        </div>
      </div>
    </div>
    <!-- End Banner -->

    <!-- 1 Minute Quiz Banner -->
    <one-minute-quiz-banner></one-minute-quiz-banner>
    <!-- 1 Minute Quiz Banner -->

    <!-- Survey - Quiz Link -->
    <div class="container quiz-servey-link">
      <div class="row">
        <div class="col col-12 col-lg-6 d-flex justify-content-center">
          <base-button type-button="quiz"></base-button>
        </div>
        <div class="col col-12 col-lg-6 d-flex justify-content-center">
          <base-button type-button="survey"></base-button>
        </div>
      </div>
    </div>
    <!-- End Survey - Quiz Link -->

    <!-- List Winners -->
    <div v-if="dataTableWinner.length" class="container list-winner-home-page pt-lg-5">
      <div class="row pt-5">
        <div class="col-lg-5 mb-5 pb-lg-0 mb-lg-0" id="wrap-winner-banner">
          <winner-banner :data-table="dataTableWinner" :homepage="homepage"></winner-banner>
        </div>
        <div class="col-lg-7">
          <list-winner
            :column-list="columListWinner"
            :data-table="dataTableWinner"
            :routepath="true"
            :routepathtop="false"
            :coin="coin"
          ></list-winner>
        </div>
      </div>
    </div>
    <!-- End List Winners -->

    <!-- User -->
    <div class="container pt-5" v-if="profile && Object.keys(profile).length">
      <profile-section :profile="profile"></profile-section>
    </div>
    <!-- End User -->

    <!-- Recent Reward - Activity Log -->
    <activity-log v-if="profile && Object.keys(profile).length"></activity-log>
    <!-- End Recent Reward - Activity Log -->

    <!-- Footer -->
    <!-- <main-footer></main-footer> -->
    <!-- End Footer -->
  </div>
</template>

<script>
// import MainHeader from "../components/MainHeader.vue";
// import MainFooter from "../components/MainFooter.vue";
import Banner from "../components/Banner.vue";
import TodayReward from "../components/TodayReward.vue";
import OneMinuteQuizBanner from "../components/OneMinuteQuizBanner.vue";
import BaseButton from "../components/BaseButton.vue";
import WinnerBanner from "../components/WinnerBanner.vue";
import ListWinner from "../components/ListWinner.vue";
import ProfileSection from "../components/ProfileSection.vue";
import ActivityLog from "../components/ActivityLog.vue";

//==================IMPORT API===================//
import { apiCustomerGet } from "../services/baseApi";

export default {
  components: {
    // MainHeader,
    // MainFooter,
    Banner,
    TodayReward,
    OneMinuteQuizBanner,
    BaseButton,
    WinnerBanner,
    ListWinner,
    ProfileSection,
    ActivityLog,
  },
  data() {
    return {
      columListWinner: ["name", "bsbt"],
      dataTableWinner: [],
      dataTableWinnerExchange: [],
      profile: {},
      routepathtop: true,
      coin: "bsbt",
      getstart: false,
      homepage: true
    };
  },
  mounted() {
    this.getListWinner();
    this.getProfile();
  },
  methods: {
    async getListWinner() {
      try {
        const bsbtExchange = await apiCustomerGet("price");
        const btcExchange = await apiCustomerGet("dashboard/btc/price");
        const get = await apiCustomerGet("dashboard/topWinner");
        get.data.data.map((data) => {
          this.dataTableWinner.push({
            name: data.name,
            avatar: data.avatar,
            btc: {
              coin: parseFloat(data.balanceAvailable).toFixed(8),
              usd: parseFloat(data.balanceAvailable * btcExchange.data.data.price).toFixed(2)
            },
            bsbt: {
              coin: parseFloat(data.bsbtBalance).toFixed(8),
              usd: parseFloat(data.bsbtBalance * bsbtExchange.data.data.price.result.last).toFixed(2)
            }
          });
        });
      } catch (error) {
        console.log(error);
      }
    },

    async getProfile() {
      try {
        const token = localStorage.getItem("token");
        if (!token) return;

        const get = await apiCustomerGet("auth/profile", {}, { token });

        this.profile = get.data.data;
      } catch (error) {
        console.log(error);
      }
    }
  }
};
</script>

<style scoped>
  .list-winner-home-page {
    margin-bottom: 1rem;
  }
  .image-winner-wrap[data-v-275776fb]{
    height: 580px;
  }
  .img-winner[data-v-275776fb] {
    height: 100%;
  }
  @media (max-width: 992px) {
    #wrap-winner-banner {
      margin-bottom: 0!important
    }
  }
  @media (max-width: 768px) {
    #wrap-winner-banner {
      margin-bottom: 0!important
    }
  }
  @media (max-width: 375px) {
    .big-title h1 {
      font-size: 45px
    }
  }
</style>
